GET/projects/api/v3/reporting/dashboards/data/timelogs.json

Get timelog chart data.

This returns aggregated timelog data for a chart, using the provided filters, group by, split by and data points.

Query Params

  • Name
    startDate
    Type
    string
    Description
  • Name
    searchTerm
    Type
    string
    Description
  • Name
    orderMode
    Type
    string
    Description
  • Name
    orderBy
    Type
    string
    Description
  • Name
    endDate
    Type
    string
    Description
  • Name
    splitBy
    Type
    object
    Description
  • Name
    metric
    Type
    object
    Description
  • Name
    groupBy
    Type
    object
    Description
  • Name
    pageSize
    Type
    integer
    Description
  • Name
    page
    Type
    integer
    Description
  • Name
    skipCounts
    Type
    boolean
    Description
  • Name
    userIds
    Type
    array[integer]
    Description
    Format
    Comma separated values
  • Name
    taskListIds
    Type
    array[integer]
    Description
    Format
    Comma separated values
  • Name
    taskIds
    Type
    array[integer]
    Description
    Format
    Comma separated values
  • Name
    projectIds
    Type
    array[integer]
    Description
    Format
    Comma separated values
  • Name
    include
    Type
    array[string]
    Description
    Format
    Comma separated values
  • Name
    filter
    Type
    array[any]
    Description
    Format
    Comma separated values
  • Name
    companyIds
    Type
    array[integer]
    Description
    Format
    Comma separated values

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    DashboardDataResponse contains information for a specific chart.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    403
    Type
    object
    Schema
    Description
    403 Forbidden
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

DashboardDataResponse
{  "data": [    {}  ],  "included": {    "companies": {      "additionalProp": {        "accounts": 0,        "addressOne": "string",        "addressTwo": "string",        "budgetDistribution": [          {            "color": "string",            "companyId": 0,            "count": 0,            "from": 0,            "to": 0          }